% Demo 1: This code plot the average measurements for the morphological clusters of breast 
% cancer cells. The data is described in the paper:
% "Visualizing cellular imaging data using PhenoPlot"
% Copyright (c) Heba Sailem 2014

load('demo_BCL_data');

%calulate the mean of each cluster
[mcls gn_cls]=grpstats(BCL_morph_data,cls,{'mean','gname'});


%PhenoPlot the average of each cluster
PhenoPlot({mcls(:,1),mcls(:,2),'-k','legend',headers(1),headers(1)},...
    'NucEllipse',{mcls(:,3),mcls(:,4),'-k','legend',headers(3),headers(4)},...
    'ThickMembraneFraction',{mcls(:,5),'-r','legend',headers(5)},...
    'Spikes',{mcls(:,6),'legend',headers(6)},...
    'RelativeProtArea',{mcls(:,7)./2,'legend',headers(7)},...
    'NucTexture',{mcls(:,8),'left','.y','legend',headers(8)},...
    'CellTexture',{mcls(:,9),'left','xb','legend',headers(9)},...
    'NucIntensity',{[1 0 0]},...
    'LegendColor',[0 0 0],...
    'grid',1);


