% Demo 2: This code PhenoPlot the average measurements of breast 
% cancer cell line morphological features in PCA space. The data is described in the paper:
% "Visualizing cellular imaging data using PhenoPlot"
% Copyright (c) Heba Sailem 2014
clear all
load('demo_BCL_data');

%Apply PCA to the data (we scale all features to avoid biases toward features with larger range)
[coefs scores var]=princomp(scale_data(BCL_morph_data));

%generate a bigger scale of the scores so cells does not overalp in PC
%space
xpos=scores(:,1).*2.5;
ypos=scores(:,2).*3.5;

%PhenoPlot the average of each cell line using the coordinates of first two
%principal components
PhenoPlot({BCL_morph_data(:,1),BCL_morph_data(:,2),'-k','legend',headers(1),headers(1)},...
    'NucEllipse',{BCL_morph_data(:,3),BCL_morph_data(:,4),'-k','legend',headers(3),headers(4)},...
    'ThickMembraneFraction',{BCL_morph_data(:,5),'-r','legend',headers(5)},...
    'Spikes',{BCL_morph_data(:,6),'legend',headers(6)},...
    'RelativeProtArea',{BCL_morph_data(:,7)./2,'legend',headers(7)},...
    'NucTexture',{BCL_morph_data(:,8),'left','.y','legend',headers(8)},...
    'CellTexture',{BCL_morph_data(:,9),'left','xb','legend',headers(9)},...
    'NucIntensity',{[1 0 0]},...
    'LegendColor',[0 0 0],...
    'xcoord',xpos,...
    'ycoord',ypos,...
    'labels',cellline);


